/* UW8 - Operator Services src/block.c
 * Copyright (c) 1998 Chris Birch <uw8@othernet.org>
 * Original code and design by Michael Dabrowski <devon@othernet.org> UW7.5
 * All further GNU development and publication rights of this software are
 * granted to Chris Birch by Michael Dabrowski.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include<bot.h>

void block(char *who, char *rest)
{
   FILE *gfile;
   char *nick, *hostmask, *helpname, blockg[1000];
   long  gtime, i = 0;
   char *nwho;

   nwho=nick2num(who);
   helpname = get_command_name("block");
   if(rest == NULL || rest[0] == '\0')
   {
      do_help(who, helpname);
      return;
   }
   nick=strtok(rest, " ");
   hostmask = getghost(nick);
   if(hostmask == NULL)
   {
      send_to_server(":%s NOTICE %s :The user %s is not currently on line\n", bot.nick, nwho, nick);
      return;
   }
   sprintf(blockg, "*@%s 3600 Network Trouble Maker",  hostmask);
   do_gline(who, blockg);
}
