/* UW8 - Operator Services src/join_msgchan.c
 * Copyright (c) 1998 Chris Birch <uw8@othernet.org>
 * Original code and design by Michael Dabrowski <devon@othernet.org> UW7.5
 * All further GNU development and publication rights of this software are
 * granted to Chris Birch by Michael Dabrowski.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */           


#include <bot.h>

void join_msgchan()
{
   char *usernum = NULL;

   if(*msg_chan != '#') return;
   usernum=get_usernum(bot.nick);
   if(msgchan_time > 0)
   {
      send_to_server("%c BURST %s %ld %s:o\n", convert2y[server_num], msg_chan, msgchan_time, usernum);
      send_to_server(":%s MODE %s +mints\n", bot.nick, msg_chan);      
   }
   else
   {
      send_to_server("%s CREATE %s %ld\n", usernum, msg_chan, time(NULL));
      send_to_server(":%s MODE %s +mints\n", bot.nick, msg_chan);
   }
   msgchan_time = 0;
   number = count_users();
   if(number > maxnumber) maxnumber = number;
}

