/* UW8 - Operator Services src/join_part.c
 * Copyright (c) 1998 Chris Birch <uw8@othernet.org>
 * Original code and design by Michael Dabrowski <devon@othernet.org> UW7.5
 * All further GNU development and publication rights of this software are
 * granted to Chris Birch by Michael Dabrowski.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */           


#include<bot.h>

void join(char *who, char *rest)
{
   char *usernum, *chan, *nwho;

   if(!rest) return;
   nwho = nick2num(who);
   chan = strtok(rest, " ");
   if(*chan == '+' || *chan == '&') return;
   if(chan_check(chan, who) == -1) return;
   usernum=get_usernum(bot.nick);
   send_to_server(":%s JOIN %s\n", bot.nick, rest);
   send_to_server(":%s MODE %s +o %s\n", myserver, rest, usernum);
}

void part(char *who, char *rest)
{
   char *nwho, *chan;

   if(!rest) return;
   chan = strtok(rest, " ");
   if(chan_check(chan, who) == -1) return;
   nwho=nick2num(who);
   send_to_server(":%s PART %s\n", bot.nick, rest);
}
